-- CREER SCHEMA FORMCO

Set scan off; 

CREATE USER FORMCO
  IDENTIFIED BY VALUES 'formco'
  DEFAULT TABLESPACE GFC
  TEMPORARY TABLESPACE TEMP
  PROFILE DEFAULT
  ACCOUNT UNLOCK;
  GRANT CONNECT TO FORMCO;
  GRANT RESOURCE TO SAPHARI;
  ALTER USER FORMCO DEFAULT ROLE ALL;
  GRANT SELECT ANY TABLE TO FORMCO;
  GRANT UNLIMITED TABLESPACE TO FORMCO;

--GRANT
GRANT REFERENCES, SELECT ON SCOLARITE.SCOL_FORMATION_DIPLOME TO FORMCO;
GRANT REFERENCES, SELECT ON SCOLARITE.SCOL_MAQUETTE_REPARTITION_AP TO FORMCO;
GRANT REFERENCES, SELECT ON SCOLARITE.SCOL_MAQUETTE_REPARTITION_EC TO FORMCO;
GRANT REFERENCES, SELECT ON SCOLARITE.SCOL_MAQUETTE_REPARTITION_SEM TO FORMCO;
GRANT REFERENCES, SELECT ON SCOLARITE.SCOL_MAQUETTE_REPARTITION_UE TO FORMCO;
GRANT REFERENCES, SELECT ON JEFY_ADMIN.ORGAN TO FORMCO;
GRANT REFERENCES, SELECT ON JEFY_CATALOGUE.CATALOGUE_ARTICLE TO FORMCO;
GRANT REFERENCES, SELECT, INSERT ON JEFY_RECETTE.TYPE_PUBLIC TO FORMCO;
GRANT REFERENCES, SELECT, INSERT ON JEFY_ADMIN.DOMAINE TO FORMCO;
GRANT REFERENCES, SELECT, INSERT ON ACCORDS.TYPE_CONTRAT TO FORMCO;
GRANT REFERENCES, SELECT, INSERT ON ACCORDS.TYPE_CLASSIFICATION_CONTRAT TO FORMCO;
GRANT REFERENCES, SELECT, INSERT ON ACCORDS.CONTRAT TO FORMCO;
GRANT REFERENCES, SELECT, INSERT ON JEFY_RECETTE.PRESTATION TO FORMCO;
GRANT REFERENCES, SELECT, INSERT ON SCOLARITE.SCOL_FORMATION_DIPLOME_SISE TO FORMCO;
GRANT REFERENCES, SELECT, INSERT ON SCOLARITE.SCOL_FORMATION_DIPLOME TO FORMCO;
GRANT REFERENCES, SELECT, INSERT ON SCOLARITE.SCOL_FORMATION_GRADE TO FORMCO;
GRANT REFERENCES, SELECT, INSERT ON SCOLARITE.SCOL_FORMATION_DOMAINE TO FORMCO;
GRANT DELETE, INSERT, SELECT, UPDATE ON SCOLARITE.SCOL_FORMATION_FILIERE TO FORMCO;
GRANT DELETE, INSERT, SELECT, UPDATE ON SCOLARITE.SCOL_FORMATION_DEPARTEMENT TO FORMCO;
GRANT DELETE, INSERT, SELECT, UPDATE ON SCOLARITE.SCOL_FORMATION_VOCATION TO FORMCO;
GRANT DELETE, INSERT, SELECT, UPDATE ON GARNUCHE.TYPE_INSCRIPTION TO FORMCO;
GRANT DELETE, INSERT, SELECT, UPDATE ON GARNUCHE.GARNUCHE_PARAMETRES TO FORMCO;
GRANT DELETE, INSERT, SELECT, UPDATE, REFERENCES ON GRHUM.ASSOCIATION TO FORMCO;
GRANT SELECT,REFERENCES ON GRHUM.TYPE_ASSOCIATION TO FORMCO;
GRANT SELECT  ON GRHUM.ASSOCIATION_SEQ TO FORMCO;
GRANT EXECUTE ON JEFY_ADMIN.API_APPLICATION TO FORMCO;
commit;
/
